%global pkgvers 0
%global scdate0 20240228
%global schash0 c5055e7b68ac98dc351f471c1ea371aa48c64078
%global branch0 master
%global source0 https://github.com/litex-hub/pythondata-cpu-naxriscv.git

%global sshort0 %{expand:%%{lua:print(('%{schash0}'):sub(1,8))}}

Name:           litex-pythondata-cpu-naxriscv
Version:        2023.12
Release:        %{scdate0}.%{pkgvers}.git%{sshort0}%{?dist}
Summary:        Non-Python files needed for the cpu naxriscv
License:        BSD
BuildArch:      noarch

URL:            https://github.com/litex-hub/pythondata-cpu-naxriscv

BuildRequires:  git python3-devel python3-setuptools

Requires:       %{name}-python3 = %{version}-%{release}

%global debug_package %{nil}
%global __strip /bin/true
%undefine _missing_build_ids_terminate_build
%define _binaries_in_noarch_packages_terminate_build 0

%description
Non-Python files needed for the cpu naxriscv packaged
into a Python module so they can be used with Python
libraries and tools.


%package        python3
Summary:        %{summary}
Requires:       litex-python3
Provides:       pythondata-cpu-naxriscv

%description    python3
Non-Python files needed for the cpu naxriscv packaged
into a Python module so they can be used with Python
libraries and tools.


%prep
%setup -T -c -n %{name}
git clone --depth 1 -n -b %{branch0} %{source0} .
git fetch --depth 1 origin %{schash0}
git reset --hard %{schash0}
git log --format=fuller


%build
%{py3_build}


%install
%{py3_install}


%files python3
%doc README.md
%{python3_sitelib}/*


%changelog
* Sat Jun 04 2022 Cristian Balint <cristian.balint@gmail.com>
- initial release
